Core - Bug # 37812

Status: Resolved Priority: Should have

Author: Stefan Froemken Category: File Abstraction Layer (FAL)
Created: 2012-06-07 Assigned To: Andreas Wolf

Updated: 2012-09-16 Due date:

TYPO3 Version: 6.0

PHP Version: 53

Complexity: easy

Is Regression:
Sprint Focus:

Subject: Admin has no rights to update a file

Description
Hello Core-Team,
| just have installed TYPO3 6.0 for testing FAL. There are no problems with creating files and folders but | can't modify the files
content. | don't have permissions to edit this file.
| have searched a very long time because FAL is pretty hugh. | found out that you define some default permissions for BE-Users. It's
an Array containing an element called "editFile", but it will be checked against "updateFile". So please update your code to "editFile",
or change the element within the array to "updateFile".
For now | have added following line to BE-Userrecords TSconfig:

permissions.file.storage.1.updateFile = 1
It doesn't work, because the returning value of getTSconfig is an Array containing always to elements "value" and "properties". This is

what you do:

$storageFilePermissions = $this->getTSConfig('permissions.file.storage.' . $storageObject->getUid());

it should be:

$tsConfigPath = $this->getTSConfig('permissions.file.storage.' . $storageObject->getUid());

$storageFilePermissions = $tsConfigPath['properties'];

Now the both arrays are merged correctly.

Stefan

Related issues:
duplicated by Core - Bug # 39860: Not possible to save edited files in filead... Resolved 2012-08-16
duplicated by Core - Bug # 39949: Local file not editable (as admin) - User ... Resolved 2012-08-19

Associated revisions

Revision cfd10726 - 2012-09-16 16:02 - Andreas Wolf

[BUGFIX] Files contents cannot be changed
Setting file contents failed for two reasons:

a) The permissions were incorrectly read from TSconfig and

b) We used a new "update" permission that was not present
in the default configuration, so without manually setting it,
a file could never be updated, even by admins.

This commit changes the "update" permission back to "edit", which was
also used in the pre-FAL era.

Change-Id: 1408a19257a50868f7978ffac32eefbd410117e2d
Resolves: #37812

Resolves: #39860

Resolves: #39949

Releases: 6.0

Reviewed-on: http:/review.typo3.org/14257

Reviewed-by: HelImut Hummel

Tested-by: Helmut Hummel

History

#1 - 2012-09-01 15:47 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14257

#2 - 2012-09-02 10:27 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http:/review.typo3.org/14257

#3 - 2012-09-02 18:46 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14257

#4 - 2012-09-05 10:40 - Steffen Ritter
- Target version changed from 6.0.0-alphaZ2 to 6.0.0-beta2

#5 - 2012-09-05 10:44 - Steffen Ritter
- Assigned To set to Andreas Wolf

#6 - 2012-09-16 15:59 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http:/review.typo3.org/14257
#7 - 2012-09-16 16:30 - Anonymous
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:cfd107268c3173f1fe8e05027bc7d049e9293fff.
